/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
"use client";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../../_virtual/_rolldown/runtime.cjs");
const require_components_client_Popover_PopoverContext = require("./PopoverContext.cjs");
let react = require("react");
let react_jsx_runtime = require("react/jsx-runtime");
let _ariakit_react = require("@ariakit/react");
//#region src/components/client/Popover/PopoverTrigger.tsx
function PopoverTrigger({ children }) {
	const toggleOnClick = !(0, react.useContext)(require_components_client_Popover_PopoverContext.PopoverInternalContext)?.isControlled;
	if ((0, react.isValidElement)(children) && children.type !== react.Fragment) return /* @__PURE__ */ (0, react_jsx_runtime.jsx)(_ariakit_react.PopoverDisclosure, {
		render: children,
		toggleOnClick
	});
	return /* @__PURE__ */ (0, react_jsx_runtime.jsx)(_ariakit_react.PopoverDisclosure, {
		className: "inline",
		toggleOnClick,
		children
	});
}
PopoverTrigger.displayName = "PopoverTrigger";
//#endregion
exports.PopoverTrigger = PopoverTrigger;
